import dotenv from 'dotenv';
import path from 'path';
export const env = dotenv.config({
  path: [path.resolve(process.cwd(), '.env'), path.resolve(process.cwd(), '.env.wxopen')],
});

export const config = {
  domain: env.parsed?.DOMAIN,
  wx: {
    appId: env.parsed?.WX_MP_APP_ID,
    appSecret: env.parsed?.WX_MP_APP_SECRET,
  },
  wxOpen: {
    appId: env.parsed?.WX_OPEN_APP_ID,
    appSecret: env.parsed?.WX_OPEN_APP_SECRET,
  },
};
