export const isWechat = () => {
  const ua = navigator.userAgent.toLowerCase();
  return /micromessenger/i.test(ua);
};

export const closePage = (time = 2000) => {
  if (!isWechat()) {
    setTimeout(() => {
      window.close();
    }, time);
    return;
  }
  if (window.WeixinJSBridge) {
    setTimeout(() => {
      window.WeixinJSBridge.call('closeWindow');
    }, time);
  } else {
    setTimeout(() => {
      window.close();
    }, time);
  }
};
