import React, { useEffect } from 'react';
import { setWxerwma, wxId } from '@/modules/wx-login';

const WeChatLogin: React.FC = () => {
  useEffect(() => {
    setWxerwma();
  }, []);
  return <div id={wxId} className='max-w-sm mx-auto bg-white rounded-lg text-center -mb-16'></div>;
};

export const WeChatLoginForm: React.FC = () => {
  const serverCom = (
    <p className='mt-6 text-xs text-center text-[#e69c36]'>
      登录即表示同意 <span className='font-medium text-[#e69c36]'>服务条款</span> 和 <span className='font-medium text-[#e69c36]'>隐私政策</span>
    </p>
  );

  return (
    <div className='max-w-sm mx-auto p-6 bg-white  rounded-lg'>
      <div className='mt-6 w-[310px] flex flex-col justify-center text-center text-gray-500'>
        <WeChatLogin />
        {serverCom}
      </div>
    </div>
  );
};
